@use 'partials/variables/grid';
@use 'partials/variables/card' as card-vars;
@use 'partials/variables/ratio';
@use 'partials/functions/calculations';
@use 'partials/mixins/card'as mixin;
@use 'partials/classes/card';

// the app logo container has a width of 50% of 1 column
$app-logo-column-count: 1;
$app-logo-size: calculations.calculateRatio(
    calculations.calculateWidth(
      grid.$grid-desktop-column-width,
      grid.$grid-desktop-column-gap,
      $app-logo-column-count,
      0
  ),
  card-vars.$card-width,
  50%
);

.app-card-container {
  width: ratio.$percent-100;
  height: ratio.$percent-100;
  padding: 0;
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

// the image should take a maximum of 70% of the cards height
// this way quadratic images have the same height as rectangular images
.app-peek-container {
  max-height: 65%;
}

.app-card-info {
  display: flex;
  flex-direction: column;
  padding: 0 20px 12%;
}

.flex-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.app-name {
  font-size: 1rem;
  font-weight: bold;
  @include mixin.text-clamp(2);
}

.app-org-name {
  font-size: 0.8rem;
  @include mixin.text-clamp(2);
}

.app-logo-container {
  @include mixin.logo($app-logo-size, $app-logo-size);
  margin: auto 0;
}

.vendor-logo {
  width: 100%;
  border-radius: 50%;
  object-fit: contain;
  aspect-ratio: 1/1;
}
